azma/urls.py
from django.conf.urls import patterns, include, url
from django.contrib import admin
from django.contrib.staticfiles.urls import staticfiles_urlpatterns

from azma import views


admin.autodiscover()

urlpatterns = patterns('',
                       # Examples:
                       # url(r'^$', 'azma.views.home', name='home'),
                       # url(r'^blog/', include('blog.urls')),
                       url(r'^tinymce/', include('tinymce.urls')),
                       url(r'^cms/', include('azma_cms.urls')),
                       url(r'^blog/', include('elephantblog.urls')),
                       url(r'^comments/', include('django.contrib.comments.urls')),
                       url(r'^(?i)admin/', include(admin.site.urls)),
                       url(r'^(?i)about', views.about, name='about'),
                       url(r'^(?i)user/', include('user.urls')),
                       url(r'^(?i)profile', include('user_profile.urls', namespace='profile')),
                       url(r'^(?i)wage_meter/', include('wage_meter.urls', namespace='wages')),
                       url(r'^(?i)answer/', include('answer.urls', namespace='answer')),
                       url(r'^(?i)tutorial/', include('tutorial.urls', namespace='tutorial')),
                       url(r'^', include('exam.urls', namespace='exam')),
)

urlpatterns += staticfiles_urlpatterns()

exam/urls.py
from django.conf.urls import patterns, url
from exam import views

urlpatterns = patterns('',
                       url(r'^(?i)$', views.index, name='index'),
                       url(r'^(?i)what$', views.what, name='what'),
                       url(r'^exam/(?i)(?P<exam_id>\d*)', views.intro, name='intro'),
                       url(r'^start/(?i)(?P<exam_id>\d*)', views.start, name='start'),
                       url(r'^(?i)cat/(?P<category_id>\d*)', views.sub_categories, name='sub_categories')
)

tutorial/urls.py
from tutorial.views import *
from tutorial import views

__author__ = 'SOROOSH'

from django.conf.urls import patterns, url

urlpatterns = patterns('',
                       url(r'^$', TutorialView.as_view(), name="home"),
                       url(r'^cat/(?P<category_name>.*)$', TutorialWithCategoryView.as_view(), name="category"),
                       url(r'^tutorial_analyze/(?P<exam_tu_id>.*)', TutorialAnswerAnalyze.as_view(),
                           name='tutorial_exam_analyze'),
                       url(r'^tutorial_exam/(?P<tutorial_id>.*)', TutorialExamView.as_view(), name='tutorial_exam'),
                       url(r'^(?P<tutorial_name>.*)$', TutorialDetailView.as_view(), name="tutorial"),




)

user_profile/urls.py
from django.conf.urls import patterns, url
from django.contrib.auth.decorators import login_required
from user_profile import views

__author__ = 'soroosh'

urlpatterns = patterns('',
                       url(r'^(?i)$', login_required(views.ProfileView.as_view()), name='show_profile'),
                       url(r'^(?i)/changepass$', views.change_password, name='change_password'),
                       )

templates/about.html
{% extends 'base.html' %}
{% block title %} درباره ما{% endblock %}
{% load staticfiles %}
{% block css %}

{% endblock %}
{% block content %}



    <div class="container" style="font-size: 16px; text-shadow: 0 2px 3px rgba(0, 0, 0, .2);">

        <div class="row">

            <div class="col-lg-12">
                <h1 class="page-header">درباره ما
                    <small>از دیدن شما بسیار خرسندیم!</small>
                </h1>
                <ol class="breadcrumb">
                    <li><a href= {% url 'exam:index' %}>خانه</a>
                    </li>
                    <li class="active">درباره ما</li>
                </ol>
            </div>

        </div>

        <div class="row">

            <div class="col-md-6">
                <img class="img-responsive" src="/static/image/intro.png">
            </div>
            <div class="col-md-6">
                <h2>به آزماوب خوش آمدید</h2>

                <p style="text-align: justify;">

                    یکی از مشکلات مهندسین و دانشجویان کامپیوتر وسیع بودن علوم کامپیوتر است. به گونه ای که شخص نمی تواند بهترین گزینه را برای یادگیری انتخاب کند و همیشه با این مشکل دست و پنجه نرم می
                    کند که
                    "الان باید چه چیزی یاد بگیرم". یکی دیگر از مشکلاتی که دانشجویان و مهندسین کامپیوتر با آن دست و پنجه نرم می کنند شک در فهمیدن مطالب و مفاهیم است که معمولا منجر به پرسیدن این سوال می
                    شود: "آیا من دانش مناسبی در مورد این موضوع دارم؟". </p>

                <p style="text-align: justify;">آزماوب سرویسی است که سعی در کاهش این دست مشکلات در بین مهندسین کامپیوتر ایرانی دارد. این سرویس سعی می کند تا مسیرهای مختلف ممکن را به مهندسین کامپیوتر
                    بشناساند تا بتوانند بهترین انتخاب
                    را داشته باشند. در کنار معرفی مسیرهای مختلف ما با برگزاری آزمون های مختلف دانش شما را محک می زنیم تا بتوانید با خیالی آسوده و محکم تر در مسیرتان قدم بردارید. نتیجه آزمونها خود می
                    تواند
                    ادله مناسبی بر دانش شما باشد پس یکی دیگر از مزایای شرکت در آزمون ها ایجاد رزومه ای مناسب برای شما است.</p>

                <p style="text-align: justify;"> ما سرویس های متنوع و جذاب دیگری نیز به شما ارایه خواهیم کرد تنها کافی است منتظر باشید!
                </p>
            </div>

        </div>

        <!-- Team Member Profiles -->

        <div class="row">

            <div class="col-lg-12">
                <h2 class="page-header">اعضای توسعه و آموزش آزماوب</h2>
            </div>

            <div class="col-sm-4" style="border-radius: 50px">
                <img class="img-responsive" src="http://www.gravatar.com/avatar/0cff99aaf31098275563ea9924cb05cf"/>

                <h3>سروش سرآبادانی
                    {#                <small style="color: rgba(0,0,0,0.55)">مدیریت آزماوب</small>#}
                </h3>

                <p style="text-align: justify;"> بیش از ۷ سال سابقه حضور در نقش های مختلف در پروژه های کوچک و بزرگ نرم افزاری رو دارم و با استفاده از این سرویس سعی خواهم کرد تا بخشی از مشکلات همکاران
                    عزیزم رو از بین ببرم. </p>
                <ul class="list-unstyled list-inline list-social-icons">
                    <li class="tooltip-social facebook-link"><a href="https://www.facebook.com/soroosh.sarabadani" data-toggle="tooltip" data-placement="top" title="Facebook"><i
                            class="fa fa-facebook-square fa-2x"></i></a>
                    </li>
                    <li class="tooltip-social linkedin-link"><a href="#linkedin-profile" data-toggle="tooltip" data-placement="top" title="LinkedIn"><i class="fa fa-linkedin-square fa-2x"></i></a>
                    </li>
                    <li class="tooltip-social twitter-link"><a href="#twitter-profile" data-toggle="tooltip" data-placement="top" title="Twitter"><i class="fa fa-twitter-square fa-2x"></i></a>
                    </li>
                    <li class="tooltip-social google-plus-link"><a href="#google-plus-profile" data-toggle="tooltip" data-placement="top" title="Google+"><i class="fa fa-google-plus-square fa-2x"></i></a>
                    </li>
                </ul>
            </div>

            <div class="col-sm-4">
                <img class="img-responsive" src="http://www.gravatar.com/avatar/96fc3bdf10c6e366f58c6894d76ca3f7"/>

                <h3>مهدی زارعی
                    {#                <small style="color: rgba(0,0,0,0.55)">Job Title</small>#}
                </h3>

                <p style="text-align: justify;">
                    پیش از این پروژه به مدت 4 سال در مورد امور آموزشی در زمینه برنامه نویسی به خصوص آموزش مجازی تحقیق و بررسی انجام دادم .
                    واقعا به آزماوب امیدوارم و مطمئنم روزی آزماوب کلیدی برای باز کردن قفل مشکلات بازارِ کار صنعت نرم افزار در کشور عزیزمان خواهد شد.
                </p>
                <ul class="list-unstyled list-inline list-social-icons">
                    <li class="tooltip-social facebook-link"><a href="https://www.facebook.com/MahdiXareie" data-toggle="tooltip" data-placement="top" title="Facebook"><i
                            class="fa fa-facebook-square fa-2x"></i></a>
                    </li>
                    <li class="tooltip-social linkedin-link"><a href="#linkedin-profile" data-toggle="tooltip" data-placement="top" title="LinkedIn"><i class="fa fa-linkedin-square fa-2x"></i></a>
                    </li>
                    <li class="tooltip-social twitter-link"><a href="#twitter-profile" data-toggle="tooltip" data-placement="top" title="Twitter"><i class="fa fa-twitter-square fa-2x"></i></a>
                    </li>
                    <li class="tooltip-social google-plus-link"><a href="#google-plus-profile" data-toggle="tooltip" data-placement="top" title="Google+"><i class="fa fa-google-plus-square fa-2x"></i></a>
                    </li>
                </ul>
            </div>

            <div class="col-sm-4">
                <img class="img-responsive" src="http://www.gravatar.com/avatar/6c66792ef0793065afc1596404d9389d"/>

                <h3>سجاد سرآبادانی
                    {#                <small style="color: rgba(0,0,0,0.55)">Job Title</small>#}
                </h3>

                <p style="text-align: justify;">سلام من سجاد سرآبادانی هستم و عاشق تکنولوژی و پیشرفت همراه با خلاقیت.شاید این اولین قدم باشه برای اینکه به همه ثابت کنم که در ایران هم می توان سرآمد هر
                    کشوری بود پس فقط ایمان داشته باشید و با ما همراه شوید.</p>
                <ul class="list-unstyled list-inline list-social-icons">
                    <li class="tooltip-social facebook-link"><a href="https://www.facebook.com/sajjad.sarabadani" data-toggle="tooltip" data-placement="top" title="Facebook"><i
                            class="fa fa-facebook-square fa-2x"></i></a>
                    </li>
                    <li class="tooltip-social linkedin-link"><a href="#linkedin-profile" data-toggle="tooltip" data-placement="top" title="LinkedIn"><i class="fa fa-linkedin-square fa-2x"></i></a>
                    </li>
                    <li class="tooltip-social twitter-link"><a href="#twitter-profile" data-toggle="tooltip" data-placement="top" title="Twitter"><i class="fa fa-twitter-square fa-2x"></i></a>
                    </li>
                    <li class="tooltip-social google-plus-link"><a href="#google-plus-profile" data-toggle="tooltip" data-placement="top" title="Google+"><i class="fa fa-google-plus-square fa-2x"></i></a>
                    </li>
                </ul>
            </div>


        </div>


    </div>
    <!-- /.container -->

    <!-- JavaScript -->
    <script src="js/jquery-1.10.2.js"></script>
    <script src="js/bootstrap.js"></script>
    <script src="js/modern-business.js"></script>
{% endblock content %}

templates/base.html
{% load i18n %}
{% load staticfiles %}
{% load compress %}
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.2, user-scalable=yes"/>
    {#    <meta name="viewport" content="width=device-width, initial-scale=1.0">#}
    <meta name="description" content="{% block description %}{% endblock %}">
    <meta name="keywords" content="{% block keywords %}{% endblock %}">
    <meta name="author" content="">
    <link rel="shortcut icon" href="{% static "icons/favicon.ico" %}" type="image/x-icon">
    <link rel="icon" href="{% static "icons/favicon.ico" %}" type="image/x-icon">
    <!--Google Analytics script -->
    <!-- <script>
         (function (i, s, o, g, r, a, m) {
             i['GoogleAnalyticsObject'] = r;
             i[r] = i[r] || function () {
                 (i[r].q = i[r].q || []).push(arguments)
             }, i[r].l = 1 * new Date();
             a = s.createElement(o),
                     m = s.getElementsByTagName(o)[0];
             a.async = 1;
             a.src = g;
             m.parentNode.insertBefore(a, m)
         })(window, document, 'script', '//www.google-analytics.com/analytics.js', 'ga');

         ga('create', 'UA-51749007-1', 'onlinecademy.com');
         ga('send', 'pageview');

     </script> -->
    <!--End of Google Analytics script -->
    <title>{% block title %}{{ exam.local_name }}{% endblock %}</title>

    {% compress css %}
        <link href="{% static 'css/Counter.fonts.css' %}" rel="stylesheet">
        <link href="{% static "bootstrap/css/bootstrap.css" %}" rel="stylesheet">
        <link href="{% static "font-farsi/fonts.css" %}" rel="stylesheet">
        <link href="{% static 'UI/alertBar/alertBar.css' %}" rel="stylesheet">
        <link href="{% static "bootstrap/css/bootstrap-rtl.css" %}" rel="stylesheet">
        <link href="{% static "bootstrap/css/modern-business.css" %}" rel="stylesheet">
        <link href="{% static "bootstrap/font-awesome/css/font-awesome.min.css" %}" rel="stylesheet">
        <link href="{% static "bootstrap/css/new_base.css" %}" rel="stylesheet">
        <link href="{% static "highlight/styles/github.css" %}" rel="stylesheet">
        {% block css %}{% endblock %}
    {% endcompress %}
    {% block nocompress_css %} {% endblock %}


<style>
    code,pre{
        direction: ltr;
        text-align: left;
    }


</style>
</head>

<body style="background-image: url('{% static 'image/pixel_weave.png' %}'); height: 100%;">

<nav class="navbar navbar-inverse navbar-fixed-top" role="navigation">
    <div class="">
        <div class="navbar-header">
            <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-ex1-collapse">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
        </div>
        <a style="padding-top: 6px;" class="pull-right hidden-sm hidden-xs navbar-brand YekanFont"
           href="{% url 'exam:index' %}">
            <img src="{% static 'image/logo/logo.png' %}"/>
        </a>

        <!-- Collect the nav links, forms, and other content for toggling -->
        <div class="collapse navbar-collapse navbar-ex1-collapse">
            <ul class="nav navbar-nav navbar-right">
                <li>
                    <a class="" href="{% url 'tutorial:home' %}">آموزش</a>
                </li>


                {% if not user.is_authenticated %}
                    <li><a href="{% url 'login' %}">ورود </a></li>
                    <li><a href="{% url 'register' %}">ثبت نام </a></li>
                {% endif %}
                <li>
                    <a href="{% url 'exam:what' %}">بیشتر بدانید</a>
                </li>
                <li>
                    <a href="{% url 'about' %}">درباره ما</a>
                </li>


            </ul>
            <ul style="display: inline-block;" class="pull-left nav navbar-nav">
                {% if user.is_authenticated %}
                    <li><a class="hidden-lg hidden-md pull-left" href="{% url 'profile:show_profile' %}">پروفایل </a>
                    </li>
                    <li><a class="hidden-lg hidden-md pull-left" href="{% url 'logout' %}">خروج</a></li>
                    <li class="navbar-left">
                        <a class="glyphicon glyphicon-user pull-left" href="{% url 'profile:show_profile' %}">
                        </a>
                    </li>
                    <li>
                        <a class="glyphicon glyphicon-log-out pull-left" href="{% url 'logout' %}">
                        </a>
                    </li>
                {% endif %}
            </ul>
        </div>

    </div>
    <!-- /.navbar-collapse -->
    </div>
    <!-- /.container -->
</nav>

<!--
    div class="container">
        <div class="row">
            <div class="col-xs-2">
                <div class="navbar-header">
                    <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                        <span class="sr-only">Toggle navigation</span> <span class="icon-bar"></span><span
                            class="icon-bar"></span><span class="icon-bar"></span>
                    </button>

                    <a style="padding-top: 2px;" class="hidden-sm hidden-xs navbar-brand YekanFont"
                       href="{% url 'exam:index' %}">
                        <img src="{% static 'image/logo/logo.png' %}"/>
                    </a>
                </div>
            </div>
            <div class="col-xs-12 col-md-8">
                <div class="collapse navbar-collapse ">
                    <ul class="nav navbar-nav YekanFont">
                        {% if categories %}
                            <li class="dropdown">
                            <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                                آزمونها
                                <b class="caret">

                                </b>
                            </a>
                            <ul class="dropdown-menu">
                                {% for category in categories %}
                                    <li>
                                        <a href="{% url 'exam:sub_categories' category.id %}">
    {% trans category.local_name %}</a>
                                    </li>
                                {% endfor %}
                            </ul>
                        {% endif %}
                        {% if not user.is_authenticated %}
                            <li><a class="" href="{% url 'login' %}">ورود </a></li>
                            <li><a class="" href="{% url 'register' %}">ثبت نام </a></li>
                        {% endif %}
                        <li><a class="" href="{% url 'tutorial:home' %}">آموزش</a></li>
                        <li><a class="" href="{% url 'exam:what' %}">بیشتر بدانید</a></li>
                        <li><a class="" href="{% url 'about' %}">درباره ما</a></li>
                        {% if user.is_authenticated %}
                            <li><a class="hidden-lg hidden-md" href="{% url 'profile:show_profile' %}">پروفایل </a></li>
                            <li><a class="hidden-lg hidden-md" href="{% url 'logout' %}">خروج</a></li>
                        {% endif %} -->

</ul>
</div>
</div>
<!--
            <div class="col-xs-2 hidden-sm hidden-xs">
                {% if user.is_authenticated %}
                    <ul class="nav navbar-nav navbar-left YekanFont">
                        <li class="navbar-left">
                            <a class="glyphicon glyphicon-user" href="{% url 'profile:show_profile' %}">
                            </a>
                        </li>
                        <li>
                            <a class="glyphicon glyphicon-log-out" href="{% url 'logout' %}">
                            </a>
                        </li>
                    </ul>
                {% endif %}
            </div>
            <!--/.nav-collapse -->
</div>
</div>
</div>
<div class="space"></div>
{% if validation_error %}
    <div class="container validation_error form-group center-block alert-danger " style="display: none;">
        {% for  a, b in validation_error.message_dict.items %}
            <ul class="has-error"><b>{% trans a %} </b>
                {% for msg in b %}
                    <li class="has-error">{{ msg }}</li>
                {% endfor %}
            </ul>
        {% endfor %}
    </div>
{% endif %}
{% if error_message %}
    <div class="container error_message form-group center-block bg-primary1 animation " style="display: none">
        {% trans error_message %}
    </div>
{% endif %}
{% if message %}
    <div class="has-success alert-info container message" style="display: none;">
        {% trans message %}
    </div>
{% endif %}

<div>
    {% block no_container_content %}
    {% endblock %}
</div>
<div class="container content">
    {% block content %}
    {% endblock %}

</div>
<hr/>
<div id="footer" style="background-color: rgba(000,000,000,0.5); margin: 0px;">
    <div class="row" style="margin: 0">

        <footer>
            <div class="col-xs-3"></div>
            <div class="col-xs-7">
                <p style="text-align: center;">تمامی حقوق مادی و معنوی این پروژه متعلق به گروه آزما وب می باشد</p>
            </div>
            <div class="col-xs-3 pull-left" style="padding-top: 10px; text-align: left;margin-left: 20px;">

                <iframe style="border: 0; margin:0; padding: 0;  width: 150px; height: 30px;"
                        src="http://www.facebook.com/plugins/like.php?href=http%3A%2F%2Fwww.facebook.com%2Fonlinecademy&width=40&layout=button_count&action=like&show_faces=true&share=true&height=21">
                </iframe>


                <div class="fb-like pull-left" data-href="https://www.facebook.com/onlinecademy" data-width="40"
                     data-layout="button_count" data-action="like" data-show-faces="true" data-share="true"></div>
            </div>
        </footer>

    </div>
</div>
{% if debug == True %}
    <script src="{% static 'js/jquery-1.11.0.js' %}"></script>
{% else %}
    <script src="http://cdnjs.cloudflare.com/ajax/libs/jquery/1.11.0/jquery.min.js"></script>
{% endif %}
<script src="{% static "bootstrap/js/bootstrap.min.js" %}"></script>
{% compress js %}
    <script type="text/javascript">
        $(document).ready(function () {
            {% if validation_error %}
                $('.validation_error').fadeIn('slow');
            {%  endif %}
            {% if error_message %}
                $('.error_message').fadeIn('slow');
            {% endif %}
            {% if message %}
                $('.message').fadeIn('slow');
                {% if redirect_url %}
                    setTimeout(function () {
                                window.location = '{{ redirect_url }}';
                            }
                            , 1500);
                {% endif %}
            {% endif %}
        });
    </script>
    <script src="{% static 'UI/alertBar/alertBar.js' %}" type="text/javascript"></script>
   <script src="{% static 'highlight/highlight.pack.js' %}" type="text/javascript"></script>


    {% block js %}
    {% endblock %}
{% endcompress %}
{% block nocompress_js %}
{% endblock %}
<script>hljs.initHighlightingOnLoad();</script>
</body>
</html>

templates/feint_base.html
{% extends 'base.html' %}
{% load applicationcontent_tags feincms_tags feincms_page_tags elephantblog_tags blog_widgets %}


{#<body>#}
{#    <h1>{{ feincms_page.title }}</h1>#}
{##}
{#    <div id="navigation" class="clearfix">#}
{#    Navigation#}
{#        {% feincms_nav feincms_page level=1 as toplevel %}#}
{#        {% for p in toplevel %}#}
{#        <a {% if p|is_equal_or_parent_of:feincms_page %}class="mark"{% endif %} href="{{ p.get_absolute_url }}">{{ p.title }}</a>#}
{#        {% endfor %}#}
{#    </div>#}
{##}
{#    <div id="main">#}
{#        <h2>Main content</h2>#}
{#       #}
{#    </div>#}
{##}
{#    <div id="sidebar">#}
{#        <h2>Sidebar content</h2>#}
{#            {% feincms_nav feincms_page level=2 as sublevel %}#}
{#            {% for p in sublevel %}#}
{#                {% if forloop.first %}<ul>{% endif %}#}
{#                <li><a href="{{ p.get_absolute_url }}">{{ p.title }}</a></li>#}
{#                {% if forloop.last %}</ul>{% endif %}#}
{#            {% empty %}#}
{#                No subpages#}
{#            {% endfor %}#}
{##}
{#            {% block sidebar %}{% feincms_render_region feincms_page "sidebar" request %}{% endblock %}#}
{#    </div>#}
{##}
{#    {% feincms_frontend_editing feincms_page request %}#}
{##}
{#    <span id="something">{% get_fragment request "something" %}</span>#}
{#</body>#}
{#</html>#}

{% block no_container_content %}
    <div class="row" style="margin:0;padding-right: 30px;">
        <div class="col-xs-1"></div>
        <div class="col-xs-9">
            {% block main_content %}
            {% endblock %}
        </div>
        <div class="col-xs-2">
            {% block main_sidebar %}
            {% endblock %}
        </div>
    </div>
{% endblock %}